// CERC 2012
// Problem H: Darts
// O(n) solution
// Author: Jakub Pachocki

import java.io.*;
import java.util.*;

class Solver {

	void solve() {
		Scanner in = new Scanner(System.in);
		int nCases = in.nextInt();
		for (int testCase = 0; testCase < nCases; ++testCase) {
			int n = in.nextInt();
			int result = 0;
			for (int i = 0; i < n; ++i) {
				int x = in.nextInt();
				int y = in.nextInt();
				for (int p = 10; p >= 1; --p) {
					int r = 20 * (11 - p);
					if (x * x + y * y <= r * r) {
						result += p;
						break;
					}
				}
			}
			System.out.println(result);
		}
		in.close();
	}

}

public class H {

	public static void main(String[] args) {
		(new Solver()).solve();
	}

}
